// 组件混入
import ModuleBase from './ModuleBase.vue';
import { serialNumberTypeList, viewingMethodsList, audioViewingMethodsList } from '@/views/book/courseware/data/common';

const mixin = {
  data() {
    return {
      serialNumberTypeList,
      viewingMethodsList,
      audioViewingMethodsList,
    };
  },
  props: {
    questionId: {
      type: String,
      default: '',
    },
  },
  components: {
    ModuleBase,
  },
  mounted() {
    // TODO: 为了先显示设置页面，以后需要修改
    this.$emit('showSetting', this.data.setting);
  },
  watch: {},
  methods: {
    // 显示设置
    showSetting() {
      this.$emit('showSetting', this.data.setting);
    },
    /**
     * @description 更新属性
     * @param {Object} setting 属性
     */
    updateSetting(setting) {
      this.data.setting = setting;
    },
  },
};

export default mixin;
